.tweets {
    display: flex;
    flex-direction: column;
    align-items: center;

    &__tweet {
        max-width: 30em;
        color: white;
        background-color: $bgDark;
        padding: 10px;
        border: 1px solid #3A444E;
        border-radius: 10px;
        margin-bottom: 20px;

        &:hover {
            background-color: #1C2730;
        }

        .tweet-header {
            display: flex;
            align-items: center;
            margin-bottom: 10px;
        }
          
        .tweet-header img {
            width: 50px;
            height: 50px;
            border-radius: 50px;
            margin-right: 10px;

            /* Animation "spin" */
            @keyframes spin {
                from {
                    transform: rotate(0deg);
                }
                to {
                    transform: rotate(90deg);
                }
            }

            &:hover {
                animation: spin 0.5s linear 1;
            }
        }
          
        .tweet-header h3 {
            margin: 0;
            font-size: 1.6em;
            font-weight: bold;
        }

        .tweet-retweets {
            font-size: 1.4em;
            display: flex;
            justify-content: end;
            align-items: center;

            span {
                margin-top: -0.3em;
            }
        }
          
        .tweet-content {
            font-size: 1.3em;
            line-height: 1.5;
            margin-bottom: 10px;
            padding: 0 1em;
        }
          
        .tweet-footer {
            color: #8A98A5;
            display: flex;
            justify-content: space-between;
            align-items: center;

            .tweet-launch {
                background-color: $btnColor;
                border-radius: 10px;
                padding: 0.2em;
                cursor: pointer;
            
                &:hover {
                    background-color: $btnHoverColor;
                }
            }

            .tweet-favorite {
                border-radius: 10px;
                cursor: pointer;

                &:hover {
                    background-color: $active;
                }
            }
        }
    }
}